org.eclipse.oomph.setup

## Enum UnsignedPolicy

- java.lang.Object
- - java.lang.Enum<UnsignedPolicy>
  - - org.eclipse.oomph.setup.UnsignedPolicy

- All Implemented Interfaces:
    Serializable, Comparable<UnsignedPolicy>, Enumerator

      public enum UnsignedPolicy
      extends Enum<UnsignedPolicy>
      implements Enumerator

  A representation of the literals of the enumeration 'Unsigned Policy', and utility methods for working with them.
  See Also:
    `SetupPackage.getUnsignedPolicy()`
  Generated
  Model

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT` The 'ACCEPT' literal object.
    `DECLINE` The 'DECLINE' literal object.
    `PROMPT` The 'PROMPT' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCEPT_VALUE` The 'ACCEPT' literal value.
    `static int` | `DECLINE_VALUE` The 'DECLINE' literal value.
    `static int` | `PROMPT_VALUE` The 'PROMPT' literal value.
    `static List<UnsignedPolicy>` | `VALUES` A public read-only list of all the 'Unsigned Policy' enumerators.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnsignedPolicy` | `get(int value)` Returns the 'Unsigned Policy' literal with the specified integer value.
    `static UnsignedPolicy` | `get(String literal)` Returns the 'Unsigned Policy' literal with the specified literal value.
    `static UnsignedPolicy` | `getByName(String name)` Returns the 'Unsigned Policy' literal with the specified name.
    `String` | `getLiteral()`
    `String` | `getName()`
    `int` | `getValue()`
    `String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static UnsignedPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UnsignedPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROMPT

          public static final UnsignedPolicy PROMPT

      The 'PROMPT' literal object.
      See Also:
        `PROMPT_VALUE`
      Generated
      Ordered

    - #### ACCEPT

          public static final UnsignedPolicy ACCEPT

      The 'ACCEPT' literal object.
      See Also:
        `ACCEPT_VALUE`
      Generated
      Ordered

    - #### DECLINE

          public static final UnsignedPolicy DECLINE

      The 'DECLINE' literal object.
      See Also:
        `DECLINE_VALUE`
      Generated
      Ordered

  - ### Field Detail

    - #### PROMPT_VALUE

          public static final int PROMPT_VALUE

      The 'PROMPT' literal value.

      If the meaning of 'PROMPT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PROMPT`, Constant Field Values
      Generated
      Model
      Ordered

    - #### ACCEPT_VALUE

          public static final int ACCEPT_VALUE

      The 'ACCEPT' literal value.

      If the meaning of 'ACCEPT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ACCEPT`, Constant Field Values
      Generated
      Model
      Ordered

    - #### DECLINE_VALUE

          public static final int DECLINE_VALUE

      The 'DECLINE' literal value.

      If the meaning of 'DECLINE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DECLINE`, Constant Field Values
      Generated
      Model
      Ordered

    - #### VALUES

          public static final List<UnsignedPolicy> VALUES

      A public read-only list of all the 'Unsigned Policy' enumerators.
      Generated

  - ### Method Detail

    - #### values

          public static UnsignedPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnsignedPolicy c : UnsignedPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnsignedPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static UnsignedPolicy get(String literal)

      Returns the 'Unsigned Policy' literal with the specified literal value.
      Generated

    - #### getByName

          public static UnsignedPolicy getByName(String name)

      Returns the 'Unsigned Policy' literal with the specified name.
      Generated

    - #### get

          public static UnsignedPolicy get(int value)

      Returns the 'Unsigned Policy' literal with the specified integer value.
      Generated

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `Enumerator`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Enumerator`
      Generated

    - #### getLiteral

          public String getLiteral()

      Specified by:
        `getLiteral` in interface `Enumerator`
      Generated

    - #### toString

          public String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `Enum<UnsignedPolicy>`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html